Name:      xdg-compliance
Version:   0.1
Release:   %mkrel 7

License:   MIT
URL:       http://gitorious.org/xdg-autostart/

Source0:   xdg-autostart-%{version}.tar.bz2
Source1:   xdg-autostart.xinit
Source2:   update-menus.xinit
Patch0:    xdg-autostart-fix-include-gcc-4.7.patch
Patch2:	   xdg-autostart-autostart-fail.patch
Patch3:    xdg-autostart-OtherDEs.patch

#-----------------------------------------------------------------------------#

# package xdg-compliance

Summary: Packages to help old desktop environments follow XDG standards
Group:   Graphical desktop/Other

Requires: %{name}-autostart
Requires: %{name}-menu

%description
This meta-package requires %{name}-autostart and %{name}-menu.

%files

#-----------------------------------------------------------------------------#

%package autostart

Summary: XDG Autostart compliance for old desktop environments
Group:   Graphical desktop/Other

%description autostart
This package provides a xinit.d script that emulates XDG Autostart compliance
for old desktop environments.

%files autostart
%{_bindir}/xdg-autostart
%{_sysconfdir}/X11/xinit.d/xdg-autostart

#-----------------------------------------------------------------------------#

%package menu

Summary: User menus for old desktop environments based on XDG Menu
Group:   Graphical desktop/Other

%description menu
This package creates user-level menus for old desktop environments following
the XDG Menu standard.

%files menu
%{_sysconfdir}/X11/xinit.d/update-menus

#-----------------------------------------------------------------------------#

%prep

%setup -q -n xdg-autostart-%{version}
%apply_patches

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

install -D -m 755 %{_sourcedir}/xdg-autostart.xinit \
                  %{buildroot}/%{_sysconfdir}/X11/xinit.d/xdg-autostart
install -D -m 755 %{_sourcedir}/update-menus.xinit \
                  %{buildroot}/%{_sysconfdir}/X11/xinit.d/update-menus




%changelog
* Fri Jan 03 2014 tarakbumba <tarakbumba> 0.1-7.mga4
+ Revision: 564317
- accept MATE and Openbox as a valid environment for OnlyShowIn desktop lines (mga#12015)

* Wed Dec 18 2013 luigiwalser <luigiwalser> 0.1-6.mga4
+ Revision: 558572
- xdg-autostart should not fail if ~/.config/autostart does not exist

* Tue Dec 17 2013 luigiwalser <luigiwalser> 0.1-5.mga4
+ Revision: 558312
- accept MATE as a valid environment for OnlyShowIn desktop lines (mga#12015)

* Fri Oct 18 2013 umeabot <umeabot> 0.1-4.mga4
+ Revision: 520445
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.1-3.mga3
+ Revision: 386713
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 06 2012 malo <malo> 0.1-2.mga3
+ Revision: 327412
- fix build wih gcc 4.7

* Tue Feb 22 2011 dmorgan <dmorgan> 0.1-1.mga1
+ Revision: 57096
- imported package xdg-compliance


* Mon Feb 14 2011 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 0.1-1mdv2011.0
+ Revision: 637733
- imported package xdg-compliance

